[Numpy-discussion] numpy docs dependency problem in Ubuntu

Barry Warsaw barry@python....
Thu Feb 17 17:11:57 CST 2011


On Feb 11, 2011, at 01:57 PM, Robert Kern wrote:

>If you are going to do an Ubuntu-only fix, would that allow using our
>prebuilt doc packages? IIRC, the only objection to that was that it was
>Debian policy to build docs from sources. But then again, that might have
>just been the first objection.

Probably not.  We'd want to build the docs from source just like Debian
would.

I thought of perhaps a middle ground.  We leave the python-numpy source
package as it currently is, providing a python-numpy-doc binary package that
disables the matplotlib extension.  We'd add a new Ubuntu-only universe
package that built, e.g. python-numpy-doc-complete which could include the
matplotlib extension.  It might be tricky to work out the exact details, since
a naive approach would have file conflicts.  (E.g. could add a binary package
conflict or install the docs into a different location).

I don't know that I'll get to this for Natty, but in any case, this bug is
tracking the issue:

https://bugs.launchpad.net/ubuntu/+source/python-numpy/+bug/721007

Thanks everyone for your input.
-Barry
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 836 bytes
Desc: not available
Url : http://mail.scipy.org/pipermail/numpy-discussion/attachments/20110217/33dd1dd5/attachment.bin 


More information about the NumPy-Discussion mailing list